#!/bin/bash

# $tty   = desired serial port device (eg, /dev/ttyS0 for COM1)
# $speed = serial port baud rate
# $host  = name or IP of the linux host
# $c64   = name or IP of the C64
# $ifc   = name of SLIP interface (eg, sl0)
# $ether = ethernet address of Linux host

 tty="/dev/ttyS0"
 speed="115200"
 host="192.168.0.3"
 c64="192.168.0.2"
 ifc="sl0"

# Set line discipline to SLIP, with hardware flow control.
 slattach -d -p slip -s $speed $tty &

 sleep 3

# Configure IP address of interface and enable it
 ifconfig $ifc $host pointopoint $c64 mtu 1500 up

# Add route
 route -v add -host $c64 $ifc

# Show info

 route
 ifconfig
 ps -fe | grep slattach | grep -v grep
